package com.example.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.time.LocalDate;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class Thesis implements Serializable {

    private Long id;

    private Long teacherId;

    private String name;

    private LocalDate date;

    private String image;

    private String website;

    private String file;
}
