package com.example.mapper;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface CommonMapper {
    /**
     * 下载著作
     * @param id
     * @return
     */
    @Select("select file from teacherteam_system.work where id = #{id}")
    String getWork(Long id);

    /**
     * 下载论文
     * @param id
     * @return
     */
    @Select("select file from teacherteam_system.thesis where id = #{id}")
    String getThesis(Long id);

    /**
     * 下载共享资料
     * @param id
     * @return
     */
    @Select("select file from teacherteam_system.resources where id = #{id}")
    String getResource(Long id);
}
